# TdApi.PushMessageContentMediaAlbum (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PushMessageContentMediaAlbum

Package it.tdlight.jni

# Class TdApi.PushMessageContentMediaAlbum

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentMediaAlbum

Enclosing class:
  TdApi

    public static class TdApi.PushMessageContentMediaAlbum
    extends TdApi.PushMessageContent

A media album.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `hasAudios` | True, if the album has at least one audio file.
`boolean` | `hasDocuments` | True, if the album has at least one document.
`boolean` | `hasPhotos` | True, if the album has at least one photo.
`boolean` | `hasVideos` | True, if the album has at least one video.
`int` | `totalCount` | Number of messages in the album.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PushMessageContentMediaAlbum()` | A media album.
`PushMessageContentMediaAlbum​(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)` | A media album.
`PushMessageContentMediaAlbum​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Number of messages in the album.

### hasPhotos

public boolean hasPhotos
True, if the album has at least one photo.

### hasVideos

public boolean hasVideos
True, if the album has at least one video.

### hasAudios

public boolean hasAudios
True, if the album has at least one audio file.

### hasDocuments

public boolean hasDocuments
True, if the album has at least one document.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum()
A media album.

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum​(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)
A media album.

Parameters:
  `totalCount` - int Number of messages in the album.
  `hasPhotos` - boolean True, if the album has at least one photo.
  `hasVideos` - boolean True, if the album has at least one video.
  `hasAudios` - boolean True, if the album has at least one audio file.
  `hasDocuments` - boolean True, if the album has at least one document.

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`